#
# spec file for package python-whatthepatch
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-whatthepatch
Version:        1.0.5
Release:        1.1
Summary:        A patch parsing and application library
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/cscorley/whatthepatch
Source:         https://files.pythonhosted.org/packages/source/w/whatthepatch/whatthepatch-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  dos2unix
BuildRequires:  ed
BuildRequires:  fdupes
BuildRequires:  patch
BuildRequires:  python-rpm-macros
Requires:       ed
Requires:       patch
BuildArch:      noarch
%python_subpackages

%description
A patch parsing and application library.

%prep
%setup -q -n whatthepatch-%{version}
dos2unix README.rst

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/whatthepatch*/

%changelog
* Wed Aug 30 2023 Tony Jones <tonyj@suse.com>
- Update to v1.0.5
  * bugfix:min line in binary diff (#57)
- from v1.0.4
  * git binary patch explore (#53)
  * nixify (#54)
  * Rename default branch on build yaml (#52)
  * Remove redundant wheel dep from pyproject.toml (#51)
* Sun Nov 13 2022 John Vandenberg <jayvdb@gmail.com>
- Drop no-nose.patch merged upstream
- Update to v1.0.3
  * Code optimization for unified diff parsing
  * Package using build module and pyproject.toml
  * Support up to 3.11
  * Drop support up to 3.6
- from v1.0.2
  * Support up to 3.9
  * Fix unified diff parse error
- from v1.0.1
  * Replace nose with pytest
  * Fix bug where context diffs would not parse
* Tue Jul 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.0.0
  * Issue #26 fix where hardcoded "/tmp" reference was being used
  * Support up to Python 3.8
  * Drop support for Python 2, 3.4
  * Bump Code of Conduct to 2.0
- Add patch to build without nose:
  * no-nose.patch
* Thu Aug  8 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.0.6
